export function getRadius(zoom){
    if(zoom >= 20){
        return 70;
    }
    if(zoom >= 19){
        return 30;
    }
    if(zoom >= 18){
        return 15;
    }
    if(zoom >= 17){
        return 10;
    }
    return 5;
}

export function getScale(zoom){
    if(zoom >= 20){
        return 0.8;
    }
    if(zoom >= 19){
        return 0.4;
    }
    if(zoom >= 18){
        return 0.2;
    }
    if(zoom >= 17){
        return 0.1;
    }
    return 0.1;
}

export function isShow(zoom,id){

    if(zoom > 18){
        return true;
    }
    if(zoom >= 18){
        return mo(id, 4)
    }
    if(zoom >= 17){
        return mo(id, 5)
    }
    return  mo(id, 5)
}
export function mo(id,midu){
    return id % midu == 0
}

export const colors = ["#9EFE0C","#FEC30C","#FE760C","#FE0B0C","#0DCAFE","#A80BFF","#E4FE0C","#1A0BFF"];
export const imgs = ["point6.png","point1.png","point2.png","point3.png","point4.png","point5.png","point6.png","point7.png","point8.png"]
export const pz = ["未知","白糖罂","桂味","井岗红糯","糯米糍","岭丰糯","进奉","冰荔","妃子笑"]

export function getIndex(name){
    let i = 0;
    for(let item of pz){
        if(name === item){
            return i;
        }
        i++;
    }
}
